Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 565958 - Review Request: SynapticsConfig - tool for configuring touchpads
Summary: Review Request: SynapticsConfig - tool for configuring touchpads
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-02-16 19:33 UTC by Michal Klich
Modified: 2010-11-19 19:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 19:59:09 UTC


Attachments (Terms of Use)
koji build.log (deleted)
2010-02-20 21:44 UTC, Michal Klich
no flags Details

Description Michal Klich 2010-02-16 19:33:54 UTC
Login: fedora@mklich.hejnet.pl
pass: fedora
I am sorry but can not set anonymous access so i`d appreiate if someone could host it.
Spec URL: ftp://ftp.mklich.hejnet.pl/SynapticsConfig.spec
SRPM URL: ftp://ftp.mklich.hejnet.pl/SynapticsConfig-0.1.3-1.src.rpm

Description: 
Tool written in PyQt4 for configuring touchpads. It simply creates 10-synaptics.fdi file according to user preferences. 

Hi,
This is my first package and i`d like a sponsor please. I am developer of this app.

Comment 1 Thomas Spura 2010-02-17 21:10:03 UTC
Is it also possible to create .conf files for the touchpad?

fdi files won't be used, starting at F-13, so your programm should also create a 10-synaptics.conf file.

See https://fedoraproject.org/wiki/Input_device_configuration

Comment 2 Michal Klich 2010-02-17 21:36:53 UTC
Thanks. I did not know about this change however my brother mentioned about Ubuntu making a switch and i thought about this in Fedora.

I have to add this feature and i will. Thanks again

Comment 3 timlank 2010-02-19 18:14:30 UTC
(I'm not a sponsor, just a fellow requestor trying to perform a peer review so that I can also get sponsored)

rpmlint -v of SPECfile and SRPM:

# rpmlint -v SynapticsConfig.spec SynapticsConfig-0.1.3-1.src.rpm
SynapticsConfig.spec:23: W: setup-not-quiet
SynapticsConfig.spec: W: no-cleaning-of-buildroot %install
SynapticsConfig.src: I: checking
SynapticsConfig.src:23: W: setup-not-quiet
SynapticsConfig.src: W: no-cleaning-of-buildroot %install
1 packages and 1 specfiles checked; 0 errors, 4 warnings.

It would appear that your .SPEC needs some cleanup....

1.  remove the %defines at the top for the version, name, release and put them directly in the corresponding tags (Name, Version, Release)
2. not 100% sure about the "unmangled_version" - suspect it needs to go away in favor of a straight "version"
3. It's complaining about the setup -n...... once you perform step 1 above, you can replace this simply with a %setup -q and the rpmlint warning disappears
4. the Source0 should be a publicly accessible URL to the source code I think rather than just the local filename
5. I think you need to leave out the Vendor tag
6.  the %install section needs to clean the buildroot -  rm -rf %{buildroot}

This is an initial pass at the SPEC.  I'll try to delve more into a review over the next day or two...

Comment 4 timlank 2010-02-19 19:07:26 UTC
you'll need a "BuildRequires:" tag to include python and python-devel.  Without it, mock will not complete properly (mock can't find python interpreter)....

As-is without the BuildRequires: python python-devel ......

# mock --rebuild SynapticsConfig-0.1.3-1.src.rpm
INFO: mock.py version 1.0.2 starting...
State Changed: init plugins
State Changed: start
INFO: Start(SynapticsConfig-0.1.3-1.src.rpm)  Config(fedora-12-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.2
INFO: Mock Version: 1.0.2
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: setup
State Changed: build
ERROR: Exception(SynapticsConfig-0.1.3-1.src.rpm) Config(fedora-12-x86_64) 2 minutes 1 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result
ERROR: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/SynapticsConfig.spec']


With the BuildRequires: python python-devel ......

# mock --rebuild SynapticsConfig-0.1.3-1.src.rpm
INFO: mock.py version 1.0.2 starting...
State Changed: init plugins
State Changed: start
INFO: Start(SynapticsConfig-0.1.3-1.src.rpm)  Config(fedora-12-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.2
INFO: Mock Version: 1.0.2
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SynapticsConfig-0.1.3-1.src.rpm) Config(default) 0 minutes 33 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result

Comment 5 timlank 2010-02-19 19:12:44 UTC
I think you're also going to need to decide if this is under GPLv2+ or GPLv3.  The SPEC states GPLv2+ and a "strings" on the embedded SynapticsConfig_pl_PL.qm denotes:

"Software is distributed under GPLv3 license
Copyright 2009 Michal Klich"

Whatever is decided, the license file needs to be included in the source and added to a %doc section in the SPECfile.

Comment 6 timlank 2010-02-19 19:30:51 UTC
you should have a dist tag (Release: 1%{?dist}   )

also they'll need a koji scratch build completed with output included in the case here.

Comment 7 timlank 2010-02-19 19:42:42 UTC
just a little note about the %files section...

the %defattr should be:  %defattr(-,root,root,-)

Please reference:  http://fedoraproject.org/wiki/PackagingGuidelines#File_Permissions

Also, please change my item #6 in my first post to be "rm -rf $RPM_BUILD_ROOT" -for the %install - either that or use the macro style suggested - but of course then you will need to change the other occurences of $RPM_BUILD_ROOT in the SPEC.  They're looking for consistency - it doesn't matter which style, just that there is consistency.  

Please reference:  http://fedoraproject.org/wiki/PackagingGuidelines#Macros

Comment 8 Michal Klich 2010-02-20 21:05:09 UTC
Thank you for your suggestions. 
I have altered my SPEC file and rebuilt SRPM file. Both are know hosted on http://rudebwoy.fedorapeople.org/. Please do not use locations from my first comment.

http://rudebwoy.fedorapeople.org/SynapticsConfig.spec
http://rudebwoy.fedorapeople.org/SynapticsConfig-0.1.3-1.fc12.src.rpm

Comment 9 Michal Klich 2010-02-20 21:44:11 UTC
Please find link to koji buld https://koji.fedoraproject.org/koji/taskinfo?taskID=2001833
And also attached build.log

Comment 10 Michal Klich 2010-02-20 21:44:47 UTC
Created attachment 395293 [details]
koji build.log

Comment 11 Kevin Fenzi 2010-02-24 20:42:02 UTC
You realize that starting with f13, this setup will no longer work, right?

See: http://who-t.blogspot.com/2010/02/fedora-rawhide-and-x-server-input.html

Given that, does it make sense to include this now? 
Or will upstream for this project set it up to work with the new /etc/xorg.conf.d/ ?

Comment 12 Michal Klich 2010-02-24 21:17:40 UTC
Thank you, i already know about this.
Well, i am working on version that would allow to configure touchpads in F13 and i think that it would be  nice to have this tool also in F12.
I want to have ability to support both versions.

Comment 13 Jason Tibbitts 2010-11-17 23:12:15 UTC
Is there any point in moving forward with this given that F12 goes EOL in 2 weeks and we no longer accept new F12 packages?

Comment 14 Michal Klich 2010-11-19 19:54:36 UTC
No, there is none.

Comment 15 Jason Tibbitts 2010-11-19 19:59:09 UTC
OK, I'll close this ticket.


Note You need to log in before you can comment on or make changes to this bug.